Package org.springframework.orm.hibernate5

# Class HibernateSystemException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.dao.DataAccessException
org.springframework.dao.NonTransientDataAccessException
org.springframework.dao.UncategorizedDataAccessException
org.springframework.orm.hibernate5.HibernateSystemException

All Implemented Interfaces:
  `Serializable`

public class HibernateSystemException extends org.springframework.dao.UncategorizedDataAccessException
Hibernate-specific subclass of UncategorizedDataAccessException, for Hibernate system errors that do not match any concrete `org.springframework.dao` exceptions.

Since:
  4.2
Author:
  Juergen Hoeller
See Also:
  - `SessionFactoryUtils.convertHibernateAccessException(org.hibernate.HibernateException)`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HibernateSystemException(HibernateException cause)`
Create a new HibernateSystemException, wrapping an arbitrary HibernateException.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HibernateSystemException

public HibernateSystemException(@Nullable HibernateException cause)
Create a new HibernateSystemException, wrapping an arbitrary HibernateException.

Parameters:
  `cause` - the HibernateException thrown